Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDomCDATASection Class Reference
[XML module]

The QDomCDATASection class represents an XML CDATA section. More...

`#include <qdom.h>`

Inherits QDomText.

List of all member functions.

## Public Members

- QDomCDATASection ()
- QDomCDATASection ( const QDomCDATASection & x )
- QDomCDATASection & operator= ( const QDomCDATASection & x )
- ~QDomCDATASection ()
- virtual QDomNode::NodeType nodeType () const
- virtual bool isCDATASection () const

## Detailed Description

The QDomCDATASection class represents an XML CDATA section.

CDATA sections are used to escape blocks of text containing characters that would otherwise be regarded as markup. The only delimiter that is recognized in a CDATA section is the "]]>" string that terminates the CDATA section. CDATA sections cannot be nested. Their primary purpose is for including material such as XML fragments, without needing to escape all the delimiters.

Adjacent QDomCDATASection nodes are not merged by the QDomNode::normalize() function.

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also XML.

## Member Function Documentation

### QDomCDATASection::QDomCDATASection ()

Constructs an empty CDATA section. To create a CDATA section with content, use the QDomDocument::createCDATASection() function.

### QDomCDATASection::QDomCDATASection ( const QDomCDATASection & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomCDATASection::~QDomCDATASection ()

Destroys the object and frees its resources.

### bool QDomCDATASection::isCDATASection () const`[virtual]`

Returns TRUE.

Reimplemented from QDomNode.

### QDomNode::NodeType QDomCDATASection::nodeType () const`[virtual]`

Returns `CDATASection`.

Reimplemented from QDomText.

### QDomCDATASection & QDomCDATASection::operator= ( const QDomCDATASection & x )

Assigns x to this CDATA section.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.